# Baseado na documentação do Santander

tipo_registro:
  pos: [1, 1]
  picture: '9(01)'
  default:  '1'

codigo_inscricao:
  pos: [2, 3]
  picture: '9(02)'

numero_inscricao:
  pos: [4, 17]
  picture: '9(14)'

codigo_transmissao:
  # Código de Transmissão
  pos: [18, 37]
  picture: '9(20)'

uso_empresa:
  pos: [38, 62]
  picture: 'X(25)'

nosso_numero:
  pos: [63, 70]
  picture: '9(08)'

data_seg_desconto:
  pos: [71, 76]
  picture: '9(06)'

branco01:
  pos: [77, 77]
  picture: 'X(01)'
  default: ''

info_multa:
  pos: [78, 78]
  picture: '9(01)'
  default: 0

pct_multa_atraso:
  pos: [79, 82]
  picture: '9(02)V9(02)'

unidade_valor:
  pos: [83, 84]
  picture: '9(02)'
  default: '0'

valor_outra_unidade:
  pos: [85, 97]
  picture: '9(08)V9(05)'
  default: '0'

branco02:
  pos: [98, 101]
  picture: 'X(04)'
  default: ''

data_multa:
  pos: [102, 107]
  picture: '9(06)'
  date_format: '%d%m%y'

numero_carteira:
  pos: [108, 108]
  picture: '9(01)'

codigo_ocorrencia:
  pos: [109, 110]
  picture: '9(02)'

numero_documento:
  pos: [111, 120]
  picture: '9(10)'

vencimento:
  pos: [121, 126]
  picture: '9(06)'
  date_format: '%d%m%y'

valor_titulo:
  pos: [127, 139]
  picture: '9(11)V9(02)'

codigo_banco:
  # Número do Banco cobrador = 353 / 033
  pos: [140, 142]
  picture: '9(03)'
  default: '33'

agencia_cobradora:
  # Código da agência cobradora do Banco Santander informar somente se carteira for igual a 5, caso contrário, informar zeros.
  pos: [143, 147]
  picture: '9(05)'
  default: '0'

especie:
  pos: [148, 149]
  picture: '9(02)'

aceite:
  pos: [150, 150]
  picture: 'X(01)'
  default: 'N'

data_emissao:
  pos: [151, 156]
  picture: '9(06)'
  date_format: '%d%m%y'

instrucao1:
  pos: [157, 158]
  picture: '9(02)'

instrucao2:
  pos: [159, 160]
  picture: '9(02)'

juros_um_dia:
  pos: [161, 173]
  picture: '9(11)V9(02)'

desconto_ate:
  pos: [174, 179]
  picture: '9(06)'
  date_format: '%d%m%y'

valor_desconto:
  pos: [180, 192]
  picture: '9(11)V9(02)'
  default: '0'

valor_iof:
  pos: [193, 205]
  picture: '9(08)V9(05)'
  default: '0'

valor_abatimento:
  pos: [206, 218]
  picture: '9(11)V9(02)'
  default: '0'

sacado_codigo_inscricao:
  pos: [219, 220]
  picture: '9(02)'

sacado_numero_inscricao:
  pos: [221, 234]
  picture: '9(14)'

nome:
  pos: [235, 274]
  picture: 'X(40)'

logradouro:
  pos: [275, 314]
  picture: 'X(40)'

bairro:
  pos: [315, 326]
  picture: 'X(12)'

cep:
  pos: [327, 334]
  picture: '9(08)'

cidade:
  pos: [335, 349]
  picture: 'X(15)'

estado:
  pos: [350, 351]
  picture: 'X(02)'

sacador:
  pos: [352, 381]
  picture: 'X(30)'

branco03:
  pos: [382, 382]
  picture: 'X(01)'
  default: ''

id_complemento:
  pos: [383, 383]
  picture: 'X(01)'
  default: 'I'

complemento_conta:
  pos: [384, 385]
  picture: '9(02)'

branco04:
  pos: [386, 391]
  picture: 'X(06)'
  default: ''

prazo:
  pos: [392, 393]
  picture: '9(02)'

branco05:
  pos: [394, 394]
  picture: 'X(01)'
  default: ''

numero_sequencial:
  pos: [395, 400]
  picture: '9(06)'
